Loading...
Searching...
No Matches
juce::SliderListener< Emitter > Class Template Referenceabstract

## Detailed Description

template<typename Emitter>
class juce::SliderListener< Emitter >

A class for receiving callbacks from a Slider or WebSliderRelay.

To be told when a slider's value changes, you can register a Slider::Listener object using Slider::addListener().

See also
  Slider::addListener, Slider::removeListener, WebSliderRelay::addListener, WebSliderRelay::removeListener

The documentation for this class was generated from the following file:

- juce_gui_basics/widgets/juce_Slider.h

## Public Member Functions

virtual | ~SliderListener ()=default
| Destructor.
virtual void | sliderValueChanged (Emitter *)=0
| Called when the slider's value is changed.
virtual void | sliderDragStarted (Emitter *)
| Called when the slider is about to be dragged.
virtual void | sliderDragEnded (Emitter *)
| Called after a drag operation has finished.

## Constructors and Destructors

## ~SliderListener()

template<typename Emitter>

virtual juce::SliderListener< Emitter >::~SliderListener | ( |  | ) |

virtual default

Destructor.

## Member Functions

## sliderValueChanged()

template<typename Emitter>

virtual void juce::SliderListener< Emitter >::sliderValueChanged | ( | Emitter * |  | ) |

pure virtual

Called when the slider's value is changed.

This may be caused by dragging it, or by typing in its text entry box, or by a call to Slider::setValue().

You can find out the new value using Slider::getValue().

See also
  Slider::valueChanged

## sliderDragStarted()

template<typename Emitter>

virtual void juce::SliderListener< Emitter >::sliderDragStarted | ( | Emitter * |  | ) |

inline virtual

Called when the slider is about to be dragged.

This is called when a drag begins, then it's followed by multiple calls to sliderValueChanged(), and then sliderDragEnded() is called after the user lets go.

See also
  sliderDragEnded, Slider::startedDragging

## sliderDragEnded()

template<typename Emitter>

virtual void juce::SliderListener< Emitter >::sliderDragEnded | ( | Emitter * |  | ) |

inline virtual

Called after a drag operation has finished.

See also
  sliderDragStarted, Slider::stoppedDragging

### Purchase

Get JUCE

### Discover

What's New in JUCE Features

### Learn

Documentaion Tutorials Made with JUCE Resources

### Support

JUCE Forum Newsletter Archive

### About

Contact Us JUCE Legal JUCE Licensing FAQ

### Events

Audio Developer Conference
© Raw Material Software Limited